./databases/postgresql-plv8 [PostgreSQL V8 javascript procedual language]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 1.4.2, Package name: postgresql-plv8-1.4.2
Maintained by: The OpenBSD ports mailing-list
Master sites:
Description
PLV8 is a shared library that provides a PostgreSQL procedual language
powered by V8 JavaScript Engine. With this program you can write in
JavaScript your function that is callable from SQL.

Supported features are:

* Functions can receive any arguments, and return a value or set of
records.
* Execute any SQL commands with built-in plv8.execute() function.
* Automatic data conversion between PostgreSQL and JavaScript,
including string, numbers, timestamps, arrays, and records.
* Records are converted to JSON which keys are column names.
* Other types are converted to strings.
* Partial support to write TRIGGER handlers.
* EXTENSION support.
* CoffeeScript and LiveScript support.


Filesize: 159.969 KB
Version History (View Complete History)
  • (2015-01-08) Updated to version: postgresql-plv8-1.4.2
  • (2012-12-20) Package added to openports.se, version postgresql-plv8-1.3.0 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2017-07-26 16:45:35 by Stuart Henderson | Files touched by this commit (937)
Log message:
bump LIBCXX/LIBECXX/COMPILER_LIBCXX ports.
   2017-07-16 13:19:06 by Marc Espie | Files touched by this commit (880)
Log message:
use COMPILER_LIBCXX where applicable
   2017-05-29 09:38:20 by Marc Espie | Files touched by this commit (3)
Log message:
now that libv8 builds, hack around the disgusting hack they use to "poison"
postgresql, which ends up breaking math.h with libc++ as well
   2017-05-29 09:38:20 by Marc Espie | Files touched by this commit (3)
Log message:
now that libv8 builds, hack around the disgusting hack they use to "poison"
postgresql, which ends up breaking math.h with libc++ as well
   2017-05-29 09:38:20 by Marc Espie | Files touched by this commit (3)
Log message:
now that libv8 builds, hack around the disgusting hack they use to "poison"
postgresql, which ends up breaking math.h with libc++ as well
   2017-05-29 08:37:53 by Marc Espie | Files touched by this commit (1)
Log message:
fix typo in comment and bump
   2017-04-10 05:45:29 by Stuart Henderson | Files touched by this commit (281)
Log message:
use LIBCXX
   2016-12-18 11:20:00 by Jeremy Evans | Files touched by this commit (1)
Log message:
Depend on PostgreSQL 9.6
OK pea@ landry@
   2016-07-01 05:38:35 by Stuart Henderson | Files touched by this commit (3)
Log message:
remove obsolete readme
   2016-07-01 05:38:35 by Stuart Henderson | Files touched by this commit (3)
Log message:
remove obsolete readme
   2016-07-01 05:38:35 by Stuart Henderson | Files touched by this commit (3)
Log message:
remove obsolete readme
   2016-05-13 08:36:37 by Jeremy Evans | Files touched by this commit (2)
Log message:
Bump for PostgreSQL 9.4 -> 9.5 upgrade
   2016-01-26 06:10:41 by Stuart Henderson | Files touched by this commit (5)
Log message:
chase more googlecode HOMEPAGEs
   2015-01-08 08:03:35 by Stuart Henderson | Files touched by this commit (5)
Log message:
update to postgresql-plv8 1.4.2 and add patches to fix with pgsql 9.4;
remove jeremy@ as maintainer per his request. ok jeremy@
   2015-01-08 08:03:35 by Stuart Henderson | Files touched by this commit (5)
Log message:
update to postgresql-plv8 1.4.2 and add patches to fix with pgsql 9.4;
remove jeremy@ as maintainer per his request. ok jeremy@
   2015-01-08 08:03:35 by Stuart Henderson | Files touched by this commit (5)
Log message:
update to postgresql-plv8 1.4.2 and add patches to fix with pgsql 9.4;
remove jeremy@ as maintainer per his request. ok jeremy@
   2015-01-08 08:03:35 by Stuart Henderson | Files touched by this commit (5)
Log message:
update to postgresql-plv8 1.4.2 and add patches to fix with pgsql 9.4;
remove jeremy@ as maintainer per his request. ok jeremy@
   2015-01-08 08:03:35 by Stuart Henderson | Files touched by this commit (5)
Log message:
update to postgresql-plv8 1.4.2 and add patches to fix with pgsql 9.4;
remove jeremy@ as maintainer per his request. ok jeremy@